import { SGraphItem } from '@saga-web/graph/lib';
import { SPainter, SColor } from '@saga-web/draw/lib';


export class SCircleItem extends SGraphItem {
  private r: number = 3;
  data: any | null = null
  isExtracted: boolean = false;

  constructor(parent: SGraphItem | null, data: any) {
    super(parent)
    this.visible = false;
    this.enabled = false;
    this.data = data;
    this.name = data.Name;
    this.isTransform = false;
    this.moveTo(data.Pos.X, -data.Pos.Y);
  }

  onDraw(painter: SPainter): void {
    painter.brush.color = SColor.Black
    if (this.isExtracted) {
      painter.brush.color = SColor.Red;
    }
    painter.drawCircle(0, 0, this.r);
  }
}