function query(search) {
    const obj = {}
    const _search = search || location.search.split('?')[1]
    if (_search) {
        _search.split('&').forEach((i) => {
            const key = i.split('=')[0]
            const value = i.split('=')[1]
            obj[key] = value
        })
    }
    return obj
}
/**
 * 函数节流
 */
function throttle(fn:Function,delay:number = 200){
    let lastTime:number;
    let timer:number;
    return function() {
      var args = arguments;
      // 记录当前函数触发的时间
      var nowTime = Date.now();
      if (lastTime && nowTime - lastTime < delay) {
        clearTimeout(timer);
        timer = setTimeout(function () {
          // 记录上一次函数触发的时间
          lastTime = nowTime;
          // 修正this指向问题
          fn.apply(this, args);
        }, delay);
      }else{
        lastTime = nowTime;
        fn.apply(this, args);
      }
    }
  }
export { query,throttle }